Skip to main content
PUT
Update project

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Path Parameters

id
integer
required

The project ID

Example:

1

Body

application/json
name
string

Project name. Must not be greater than 255 characters.

Example:

"Website Revamp"

description
string | null

Project description.

Example:

"Rebuild website pages and forms."

visibility
enum<string>

Project visibility.

Available options:
private,
internal,
public
Example:

"internal"

stage_id
integer

Project stage ID. The id of an existing record in the projects_project_stages table.

Example:

1

user_id
integer | null

Project manager user ID. The id of an existing record in the users table.

Example:

1

partner_id
integer | null

Customer ID. The id of an existing record in the partners_partners table.

Example:

1

company_id
integer | null

Company ID. The id of an existing record in the companies table.

Example:

1

start_date
string | null

Planned start date. This field is required when end_date is present. Must be a valid date. Must be a date before or equal to end_date.

Example:

"2026-03-01"

end_date
string | null

Planned end date. This field is required when start_date is present. Must be a valid date. Must be a date after or equal to start_date.

Example:

"2026-03-31"

allocated_hours
number | null

Allocated effort in hours. Must be at least 0.

Example:

120

allow_timesheets
boolean | null

Allow timesheet entries.

Example:

false

allow_milestones
boolean | null

Allow milestone usage.

Example:

false

tags
integer[]

The id of an existing record in the projects_tags table.

Example:

Response

Success